Subject: Re: Postgres 7.4.3-1, plperl and perl-5.8.2
From: Jason Tishler <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked]
Date: Tue, 24 Aug 2004 15:52:25 -0400

Reini,

On Tue, Aug 24, 2004 at 08:34:28PM +0200, Reini Urban wrote:
> Jason Tishler schrieb:
> >On Tue, Aug 24, 2004 at 04:11:55PM +0200, Reini Urban wrote:
> >>Can you write a short paragraph about the supported charsets also
> >>then, please? Previous versions only supported LATIN1, and I haven't
> >>tested utf-8 yet.
> >
> >Sorry, I'm not qualified to do the above.  Would you be willing?
> 
> Ok. I'll test it with various japanese and chinese charset's then.
> They need it at most, and my apps must support it. :)

Thanks.

> >>now that mingw port is almost stable, I hope that the cygwin version
> >>will at least be feature complete.
> >
> >Unfortunately, I don't believe the former necessarily implies that
> >latter... :,(
> 
> Okay, I'm doing it by my own now and will post the patches to
> pgsql-bugs also.

Ditto.

> At first postgresql-8.0.0beta1 has some problem with src/port/dirmode.c
> and it needs new configure switches.
> The cygwin version is almost feature complete now, just no tcl.
> 
> ./configure --with-template=cygwin --disable-thread-safety --enable-nls 
> --enable-integer-datetimes --enable-multibyte --with-python --with-perl 
> --with-java --with-CXX --with-openssl --without-tcl --prefix=$Prefix 
> --sysconfdir=/etc --datadir=/usr/share --mandir=/usr/share/man 
> --with-docdir=$Prefix/share/doc/$pkg-$version

Is "--with-template=cygwin" required?  It wasn't before.

Does "--with-tcl" no longer build cleanly?

Any help building Cygwin PostgreSQL 8.0 is appreciated.

Thanks,
Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/